# getPodNamesIterator abstract method

Iterator<String> getPodNamesIterator()

Returns an iterator over all pod names in the factory.

This provides low-level access to iterate through all registered pods.

## Usage Example:

    final iterator = factory.getPodNamesIterator();
    while (iterator.moveNext()) {
      print('Pod: ${iterator.current}');
    }

@return An iterator for all pod names

## Implementation

    Iterator<String> getPodNamesIterator();